After a CA View Upgrade, What Causes a SAROLR03 Message?

Document ID : KB000047125
Last Modified Date : 14/02/2018
Show Technical Document Details

Question:

When a CA View upgrade is performed, what can cause a SAROLR03 message?

 

Answer:

Seen mostly after an upgrade, having the View database at a higher level than the code level of the load modules running results in a SAROLR03 message:

   SAROLR03  Database at incorrect level for this release                                

 

The SAROLR03 message can even occur when the new View load library has been added to the linklist.  

 

It is best to perform an ISRDDN, which will probably reveal that the old View loadlib appears in the linklist ahead of the new one just added. 

 

When the location of the old loadlib is changed, and the new loadlib is being executed from, then all View functions can occur as expected.